Bug 72039 - TABLE: Differences between English and German Number Recognition
Summary: TABLE: Differences between English and German Number Recognition
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Tables-Number-Recognition
  Show dependency treegraph
 
Reported: 2013-11-26 14:24 UTC by Harald Koester
Modified: 2021-11-09 04:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Updated example file (14.73 KB, application/vnd.oasis.opendocument.text)
2018-11-08 11:07 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-26 14:24:31 UTC
Problem description: 

The number recognition in tables works different in English and German. In attachment 70935 [details] are some examples. The differences are marked in red. Expected: Equal number recognition in German and English. 
Hint: In English a dot is used as decimal mark and a comma is used as thousands separator. In German it 's exactly the other way round. 

I described this problem already in bug 48758. Hence in that bug several problems are described, I split those problems into different bug reports. This report is one of them.
              
Operating System: Windows 7
Version: 4.1.3.2 release
Comment 1 sophie 2013-12-06 16:30:22 UTC
Confirmed using your document. I don't reproduce with French, it produces the same as in English.
Version: 4.1.3.2
Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a Ubuntu 13.10. - Set to New, change plateform to all - Sophie
Comment 2 QA Administrators 2015-04-19 03:23:16 UTC Comment hidden (obsolete)
Comment 3 Harald Koester 2015-05-09 17:15:56 UTC
Bug already existed in version 3.3.0 and still exists in version 4.4.3.2 with Win7.
Comment 4 QA Administrators 2016-09-20 09:42:29 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2016-09-30 09:23:07 UTC
Bug still exists in version 5.2.1 with Win7.
Comment 6 QA Administrators 2017-10-23 14:00:25 UTC Comment hidden (obsolete)
Comment 7 Harald Koester 2017-11-03 10:38:03 UTC
Bug still exists in version 5.4.2. 

In German the behaviour is a bit different now: There is a special space character between the number and the percent sign.
Comment 8 QA Administrators 2018-11-04 03:58:33 UTC Comment hidden (obsolete)
Comment 9 Harald Koester 2018-11-08 11:07:14 UTC
Created attachment 146429 [details]
Updated example file

Bug still exists in version 6.1.3 (64 bit, Win 10).
Comment 10 QA Administrators 2019-11-09 03:53:22 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2021-11-09 04:38:26 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug